import Vue from "vue";
import VueRouter from "vue-router";

Vue.use(VueRouter);

const routes = [
  {
    path: "/my-status",
    name: "MyStatus",
    component: () => import("../views/my/myStatus.vue"),
    meta: { title: "我的直推" }
  },
  {
    path: "/publish",
    name: "Publish",
    component: () => import("@/views/publish"),
    meta: { title: "发布资讯" }
  },
  {
    path: "/cash-out",
    name: "CashOut",
    component: () => import("@/views/cash-out"),
    meta: { title: "提现" }
  },
  {
    path: "/bank",
    name: "Bank",
    component: () => import("@/views/bank"),
    meta: { title: "银行卡" }
  }
];

const router = new VueRouter({
  mode: "history",
  base: process.env.BASE_URL,
  routes
});

export default router;
